Subject: What is the reel purpose of in_beXX() and out_beXX() fonctions ?

From: leroy christophe <[email-masked]>
Date: Mon, 27 Oct 2014 13:52:06 +0100

Many drivers use in_be16(), in_be32(), out_be16(), out_be32(), etc .... 
to access to registrers in IO mapped memory.

What is the real purpose of those functions, and are they really needed ?

ioremap() maps the related areas as GUARDED, which means that accesses 
can't be speculative. So what is the benefit of using in_beXX() and 
out_beXX() over simple memory accesses in the area ?

Christophe